Dump Question – Upgrading to a later release..

Home Forums Store Locator Plus Dump Question – Upgrading to a later release..

This topic contains 7 replies, has 2 voices, and was last updated by  Lance Cleveland 4 years ago.

Viewing 8 posts - 1 through 8 (of 8 total)
  • Author
    Posts
  • #12299

    ashcatman
    Participant

    I noticed that my production system is on Store Locator Plus release 3.9.5. I take it updating to a later release doesn’t impact existing databases? My test system is on 3.11.18. I loaded and activated Pro Pact I in the test system without any problems. I loaded the Pro Pact on my production system but when I tried to activate I got “Fatal error: Cannot redeclase class SLPPRO in …..”. Could the difference in release level have caused the problem?

    Jim

    #12303

    Lance Cleveland
    Keymaster

    Something is horribly wrong with the plugin install if you are getting a class redeclaration error. I’ve installed, upgraded, deleted, and migrated the plugin on multiple single-installs and WPMU installs without coming across this error. Seems like a migration that was not done cleanly.

    How did you load production? Did you use a backup/restore tool like VaultPress (my favorite) or did you use some other process?

    #12306

    ashcatman
    Participant

    I’m using the WordPress install on GoDaddy. On th eWordpress apgeunder “Plugins – Add new, under “Install Plugins” I clicked upload, then “browse”, “install” and the “Activate”. I used the same process on my test system and did not have a problem. That is the reason I wondered about being on the 3.9.5 release on production and thought maybe the problem had been cleared up with some of the updates leadig to 3.11.18. I thought I would go ahead and upgrade to the current release and try again. What do you think?

    #12348

    ashcatman
    Participant

    The exact error message
    Fatal error: Cannot redeclare class SLPPro in
    /home/content/01/7053101/html/locator42413/wp-content/plugins/slp-pro/slp-pro.php on line 33

    #12350

    ashcatman
    Participant

    Could the fact that my test system and the production system are running under the same hosting account be causing the problem?

    #12361

    ashcatman
    Participant

    Lance,

    I upgraded to the current release of Store Locator Plus and then uploaded PRO Pack and activated without out any apparent problems. However, I can not open the locations using “Manage Locations”. Any suggestions?

    JimK

    #12365

    ashcatman
    Participant

    The “Manage Locations” problem appeared to be a Internet Explorer / XP issue. Everything is working Ok on my Windows 7 laptop.

    As information, the original problem (Fatal error: Cannot redeclare class SLPPro…) was a real problem. I could not add Pro Pack with Store Locator Plus on release 3.9.5. Once I upgraded to the current release, Pro Pack loaded and activated without the Fatal Error message.

    JimK

    #12530

    Lance Cleveland
    Keymaster

    @JimK – glad you figured out the error message.

    I’m not doing any IE/XP interface updates with SLP3. My focus is on the upcoming SLP4 release at this point. If you want to test SLP4 beta there will be an open beta enrollment starting next month for all users that have a premium add-on.

Viewing 8 posts - 1 through 8 (of 8 total)

You must be logged in to reply to this topic.